org.keycloak.saml.processing.web.util

## Class PostBindingUtil

- java.lang.Object
- - org.keycloak.saml.processing.web.util.PostBindingUtil

-     public class PostBindingUtil
      extends Object

  Utility for the HTTP/Post binding
  Since:
    May 22, 2009
  Author:
    Anil.Saldhana@redhat.com

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostBindingUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `base64Decode(String encodedString)` Apply base64 decoding on the message and return the byte array
    `static InputStream` | `base64DecodeAsStream(String encodedString)` Apply base64 decoding on the message and return the stream
    `static String` | `base64Encode(String stringToEncode)` Apply base64 encoding on the message
    `static String` | `escapeHTML(String toEscape)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostBindingUtil

          public PostBindingUtil()

  - ### Method Detail

    - #### base64Encode

          public static String base64Encode(String stringToEncode)
                                     throws IOException

      Apply base64 encoding on the message
      Parameters:
        `stringToEncode` -
      Returns:
      Throws:
        `IOException`

    - #### base64Decode

          public static byte[] base64Decode(String encodedString)

      Apply base64 decoding on the message and return the byte array
      Parameters:
        `encodedString` -
      Returns:

    - #### base64DecodeAsStream

          public static InputStream base64DecodeAsStream(String encodedString)

      Apply base64 decoding on the message and return the stream
      Parameters:
        `encodedString` -
      Returns:

    - #### escapeHTML

          public static String escapeHTML(String toEscape)

Copyright © 2021 JBoss by Red Hat. All rights reserved.